Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I want to install a few CPAN modules in OSX.

It filed since the module I want requires make and gcc to be installed. A quick google on the subject tells me that I need to install "Apple developer tools".

Do I really have to install the entire Xcode package (it's a 3GB download) just to get make and gcc?

share|improve this question
3  
I’m not sure if you have to, but that’s a nice way to make sure you get the operating system libraries and headers as well. (Cocoa, Carbon, etC) –  Martín Marconcini Dec 10 '10 at 14:41
    
see this recent question on stack overflow: stackoverflow.com/questions/4382466/… –  Robert S Ciaccio Dec 10 '10 at 15:08
1  
It's worth downloading XCode if you are developing software. Ruby, Perl and Python use it any time they have to compile a native driver, which could occur any time you add a module to a language. –  Greg Dec 11 '10 at 10:17
add comment

3 Answers

up vote 6 down vote accepted

I would highly recommend installing the developer tools. They are free from Apple.

If you really don't want Xcode after the fact, you could just remove the Application itself. You may also be able to not install any documentation, which I think also takes a bit of space.

share|improve this answer
add comment

You can use osx-gcc-installer to get GCC and related tools without installing Xcode.

Note that there might be legal problems with osx-gcc-installer, and for this reason make-gcc-without-xcode has been made as an alternative. It requires the Xcode installer package, and generates an archive with only the necessary stuff -- no Xcode.

share|improve this answer
add comment

While I would certainly suggest that you download and install the developer tools from Apple, you can obtain gcc, etc. in any number of other ways. My favorite alternative would be to obtain it from http://www.macports.org/

There is a nice GUI for it here: http://porticus.alittledrop.com/

share|improve this answer
2  
I thought so too, but macports requires the developer tools/xcode. see the SO question I linked above. –  Robert S Ciaccio Dec 10 '10 at 15:20
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.